org.apache.http.impl.pool

## Class BasicPoolEntry

- java.lang.Object
- - org.apache.http.pool.PoolEntry<HttpHost,HttpClientConnection>
  - - org.apache.http.impl.pool.BasicPoolEntry

-     @ThreadSafe
      public class BasicPoolEntry
      extends PoolEntry<HttpHost,HttpClientConnection>

  A very basic `PoolEntry` implementation that represents an entry in a pool of blocking `HttpClientConnection`s identified by an `HttpHost` instance.
  Since:
    4.2
  See Also:
    `HttpHost`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicPoolEntry(String id, HttpHost route, HttpClientConnection conn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Invalidates the pool entry and closes the pooled connection associated with it.
    `boolean` | `isClosed()` Returns `true` if the pool entry has been invalidated.

    - ### Methods inherited from class org.apache.http.pool.PoolEntry

      `getConnection, getCreated, getExpiry, getId, getRoute, getState, getUpdated, getValidUnit, isExpired, setState, toString, updateExpiry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPoolEntry

          public BasicPoolEntry(String id,
                        HttpHost route,
                        HttpClientConnection conn)

  - ### Method Detail

    - #### close

          public void close()

      Description copied from class: `PoolEntry`
      Invalidates the pool entry and closes the pooled connection associated with it.
      Specified by:
        `close` in class `PoolEntry<HttpHost,HttpClientConnection>`

    - #### isClosed

          public boolean isClosed()

      Description copied from class: `PoolEntry`
      Returns `true` if the pool entry has been invalidated.
      Specified by:
        `isClosed` in class `PoolEntry<HttpHost,HttpClientConnection>`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.